SDL_HAS_BUILTIN(3)

NAME
SDL_HAS_BUILTIN - Check if the compiler supports a given builtin functionality.

HEADER FILE
Defined in SDL3/SDL_begin_code.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HAS_BUILTIN(x) __has_builtin(x)

DESCRIPTION
This allows preprocessor checks for things that otherwise might fail to compile.

Supported by virtually all clang versions and more-recent GCCs. Use this instead of checking the clang version if possible.

On compilers without has_builtin support, this is defined to 0 (always false).

AVAILABILITY
This macro is available since SDL 3.2.0.